/*

Author(s):

      Scott Wilson (sw@scratchstudio.net)
	
A contribution to ELMAH originally written by:

      Atif Aziz (atif.aziz@skybow.com, http://www.raboof.com)

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*/ 

CREATE DATABASE Elmah

\g

CREATE TABLE elmah.error
(
	errorid     CHAR(36) NOT NULL,
	application VARCHAR(60) NOT NULL,
	host        VARCHAR(50) NOT NULL,
	type        VARCHAR(100) NOT NULL,
	source      VARCHAR(60) NOT NULL,
	message     VARCHAR(500) NOT NULL,
	user        VARCHAR(50) NOT NULL,
	statuscode  INT NOT NULL,
	timeutc     DATETIME NOT NULL,
	allxml      TEXT NOT NULL,
	PRIMARY KEY(errorid)
)

\g

CREATE INDEX error_timestamp
ON elmah.error (timeutc)

\g