﻿<%@ Page Language="C#" %>
<%-- <copyright file="Default.aspx" company="N/A (Atif Aziz)">Licensed under the Apache License 2.0. Copyright assigned to Atif Aziz as owner of the ELMAH Google code project.</copyright> --%>
<script runat="server">

    /// <summary>
    /// Raises the System.Web.UI.Control.Load event.
    /// </summary>
    /// <param name="e">The System.EventArgs object that contains the event data.</param>
    //// TODO: StyleCop/FxCop don't care about Default.aspx OnLoad (in markup).
    protected override void OnLoad(EventArgs e)
    {
        base.OnLoad(e);
        if (String.Compare(this.Request.QueryString.ToString(), "GenerateException", StringComparison.Ordinal) == 0)
        {
            throw new NotImplementedException("Demo Page Exception");
        }
    }

</script>
<html>
<head>
    <title>Exception Test</title>
    <script type="text/javascript">
        /*
        Easily consume SOAP Web services with JavaScript
        http://articles.techrepublic.com.com/5100-10878_11-5887775.html
        */
        function generateSOAPException() {
            var x = new XMLHttpRequest();
            x.open("POST", "DemoWebService.asmx", false);
            x.setRequestHeader("Content-Type", "text/xml");
            x.setRequestHeader("SOAPAction", "http://tempuri.org/GenerateException");
            x.send("<soap:Envelope xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\"><soap:Body><GenerateException xmlns=\"http://tempuri.org/\" /></soap:Body></soap:Envelope>");
            alert("status: " + x.status);
        }
    </script>
</head>
<body>
    Exception Test
    <ul>
        <li><a href="Default.aspx?GenerateException">Page</a></li>
        <li><a href="javascript:generateSOAPException()">WebService</a></li>
    </ul>
    <a href="elmah.axd">Elmah</a>
</body>
</html>
